import chimera
chan = chimera.openModels.open('1K4C', type="PDB")
# Get three more overlapped models into the chan list.
for n in range(3):
    chan[:0] = chimera.openModels.open('1K4C', type="PDB")
for i in range(len(chan[0].atoms)):
    # Shift model 0 so that K atoms line up on the z-axis
    p = chan[0].atoms[i].coord()
    p[0] = p[0] - 155.335
    p[1] = p[1] - 155.330
    chan[0].atoms[i].setCoord(p)
    # Shift model 1 so that K atoms line up on the z-axis
    # followed by a 180 degree rotation.
    q = chan[1].atoms[i].coord()
    qx = q[0] - 155.335
    qy = q[1] - 155.330
    q[0] = -qx
    q[1] = -qy
    chan[1].atoms[i].setCoord(q)
    # Shift model 2 so that K atoms line up on the z-axis
    # followed by a 90 degree rotation.
    q = chan[2].atoms[i].coord()
    qx = q[0] - 155.335
    qy = q[1] - 155.330
    q[0] = -qy
    q[1] = qx
    chan[2].atoms[i].setCoord(q)
    # Shift model 3 so that K atoms line up on the z-axis
    # followed by a -90 degree rotation.
    q = chan[3].atoms[i].coord()
    qx = q[0] - 155.335
    qy = q[1] - 155.330
    q[0] = qy
    q[1] = -qx
    chan[3].atoms[i].setCoord(q)

    

